<?php $r="../";
require_once($r."inc/funciones.php");
$titlepage = "Peidos por entregar";
validNotSession($r);
$spe=$_SESSION['perfil'];
$mysqli = connectDB($r);
roleaccess(1620);
$row1 = $mysqli->query("SELECT * FROM z_pedidos WHERE estado=1");
?>
<!DOCTYPE html>
<html lang="es">
  <?php include $r."inc/head.php"; ?>
<body class="fixed-nav sticky-footer bg-dark" id="page-top">
  <?php include $r."inc/nav.php"; ?>
  
  <div class="content-wrapper">
    <div class="container-fluid">
      <div class="card mb-3">
        <div class="h3 card-header">
          <i class="fa fa-table"></i> PEDIDOS POR ENTREGAR</div>
        <div class="card-body">
          <div class="table-responsive">
            <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
              <thead>
                <tr>
                  <th>Usuario que aprobó</th>
                  <th>Cliente</th>
                  <th>Fecha creación</th>
                  <th>Fecha Entrega</th>
                  <th>Código</th>
                  <th>Estado</th>
                  <td width="50px"><i class="fa fa-cog mr-1"></i> <input type="checkbox"  title="Todos" onclick="selectall(this)"></td>
                </tr>
              </thead>
              <tfoot>
                <tr>
                  <th>Usuario que aprobó</th>
                  <th>Cliente</th>
                  <th>Fecha creación</th>
                  <th>Fecha entrega</th>
                  <th>Código</th>
                  <th>Estado</th>
                  <td width="50px"><form class="" id="entregarselect" action="acciones.php" method="POST"><input type="hidden" name="listaentrega" value="true"><button id="btn-all" class="btn btn-muted" type="submit" disabled>Entregar</button></form></td>
                </tr>
              </tfoot>
              <tbody>
                    <?php
                    while($row2 = $row1->fetch_assoc()) {
                    ?>
                      <tr>
                        <td><?php $usuario = suser($row2["iduser"]); echo $usuario['nombre']; ?></td>
                        <td><?php $cliente = sclien($row2["idcliente"]); echo $cliente['nombre'];?></td>
                        <td><?= $row2["fecha"] ?></td>
                        <td><?= $row2["fechaentrega"] ?></td>
                        <td><?= $row2["codigopedido"] ?></td>
                        <td><?php $infoestado = sinfo('z_epedidos',$row2['estado']); echo $infoestado['estado'];?></td>
                        <td width="20px">
                            <a class="btn_default text-success h5 m-0 p-0 " href="ver-pedido.php?code=<?= $row2["codigopedido"] ?>"><i class="fa fa-arrow-circle-up"></i></a>
                            <input form="entregarselect" type="checkbox" name="pedidos[]" value="<?= $row2["codigopedido"] ?>">
                        </td>
                        </tr>
                    <?php
                    }
                    ?>
              <tbody>
            </table>
          </div>
        </div>
      </div>
    </div>
  </div>
  <?php include $r."inc/foot.php"; ?>
  <script>
    $('#dataTable').DataTable({
        "columnDefs": [
            { "orderable": false, "targets": 6 } // Deshabilitar ordenación en la cuarta columna (índice 3)
        ]
    });
      function selectall(element){
        let i = 0; // Reiniciar el contador en cada cambio
        var isChecked = $(element).is(':checked');
        $('input[name="pedidos[]"]').each(function() {
            $(this).prop('checked', isChecked);
            i++;
        });
         if(i > 0){
            $('#btn-all').attr('class','btn btn-primary'); 
            $('#btn-all').prop('disabled',false); // Corregido "btn-priary" a "btn-primary"
        } else {
            $('#btn-all').attr('class','btn btn-muted');
            $('#btn-all').prop('disabled',true);  // Puedes cambiar la clase a 'btn btn-secondary' o cualquier otra clase
        }
      }
      $(document).ready(function() {
        $('input[name="pedidos[]"]').on('change', function() {
            let i = 0; // Reiniciar el contador en cada cambio
            $('input[name="pedidos[]"]').each(function() {
                if($(this).is(':checked')){
                    i++;
                }
            });
            
            if(i > 0){
                $('#btn-all').attr('class','btn btn-primary'); 
                $('#btn-all').prop('disabled',false); // Corregido "btn-priary" a "btn-primary"
            } else {
                $('#btn-all').attr('class','btn btn-muted');
                $('#btn-all').prop('disabled',true);  // Puedes cambiar la clase a 'btn btn-secondary' o cualquier otra clase
            }
            
            console.log(i); // Mover el log de i aquí para depuración
        });
    });
  </script>
</body>
</html>    
    